\mode<presentation>


\setbeamertemplate{background}{
  \begin{tikzpicture}[overlay,remember picture]
    \begin{scope}[shift={(current page.south west)}]
      \ifnum\thepage=1\relax%
      % EPFL logo
      \node[anchor=west, inner sep=0pt] at (0.5cm, 8.5cm) {\includegraphics[width=2cm]{scitas_theme/figures/EPFL_logo.pdf}};
      % SCITAS logo
      \node[anchor=west, inner sep=0pt] at (0.2cm, 0.5cm) {\includegraphics[width=1cm]{scitas_theme/figures/SCITAS_logo.png}};
      % SCITAS background
      \node[anchor=south west, inner sep=0pt] at (3cm, 1.7cm) {\includegraphics[width=13cm]{scitas_theme/figures/SCITAS.jpg}};
      % Draw red rectangle
      \fill[color=redEPFL, anchor=south west] (3cm, 0cm) rectangle (17cm,3cm);
      \else
      % EPFL logo
      \node[anchor=west, inner sep=0pt] at (0.2cm, 8.5cm) {\includegraphics[width=1.6cm]{scitas_theme/figures/EPFL_logo.pdf}};
      % SCITAS logo
      \node[anchor=west, inner sep=0pt] at (0.2cm, 0.25cm) {\includegraphics[width=0.8cm]{scitas_theme/figures/SCITAS_logo.png}};
      \fi
    \end{scope}
  \end{tikzpicture}
}

% Title page
\defbeamertemplate*{title page}{scitas}[1][]
{
  \vskip6.0cm%
  \begin{beamercolorbox}[wd=15.5cm,leftskip=3cm,sep=0pt,#1]{title page header}
    \usebeamerfont{title}\textbf{\inserttitle}\par%
  \end{beamercolorbox}%
  \vskip0.5cm%
  \begin{beamercolorbox}[wd=12cm,leftskip=3.0cm,sep=0pt,#1]{author}
    \usebeamerfont{author}\textbf{\insertauthor}%
  \end{beamercolorbox}
  \vskip0.0cm%
  \begin{beamercolorbox}[wd=12cm,leftskip=3.0cm,sep=0pt,#1]{date}
    \usebeamerfont{author}\scriptsize\insertdate%
  \end{beamercolorbox}
  \vskip0.0cm%
  \begin{beamercolorbox}[wd=12cm,leftskip=3.0cm,sep=0pt,#1]{date}
    \usebeamerfont{author}\scriptsize\insertinstitute%
  \end{beamercolorbox}
  \vfill
}

\setbeamertemplate{footline}
{
  \leavevmode%
  \hbox{%
    \begin{beamercolorbox}[wd=.33\paperwidth,ht=2.25ex,dp=1ex,center]{title in head/foot}%
    \end{beamercolorbox}%
    \begin{beamercolorbox}[wd=.33\paperwidth,ht=2.25ex,dp=1ex,center]   {author in head/foot}%
      \usebeamerfont{author in head/foot}\textcolor{greyEPFL!60}{\insertshortauthor}
    \end{beamercolorbox}%
    \begin{beamercolorbox}[wd=.33\paperwidth,ht=2.25ex,dp=1ex,right]{date in head/foot}%
      \textcolor{greyEPFL!60}{\insertframenumber{} / \inserttotalframenumber}\hspace*{2ex}
    \end{beamercolorbox}}%
  \vskip0.1cm%
}

\setbeamertemplate{itemize item}{%
  \begin{tikzpicture}
    \fill[color=redEPFL, anchor=south west, transform canvas={xshift=1mm,yshift=0.3mm}] (0,0) rectangle (0.1633,0.14);
  \end{tikzpicture}
}

\setbeamertemplate{itemize subitem}{\color{redEPFL}$\blacktriangleright$}
\setbeamertemplate{itemize subsubitem}{\color{redEPFL}$\bullet$}

\setbeamertemplate{section in toc}{%
  {%
    \begin{tikzpicture}
      \fill[color=redEPFL, anchor=south west, transform canvas={xshift=1mm,yshift=0.3mm}] (0,0) rectangle (0.1633,0.14);
    \end{tikzpicture}
  }%
  ~\inserttocsection}

\setbeamertemplate{subsection in toc}{\hspace{1.2em}{\color{redEPFL}$\blacktriangleright$}~\inserttocsubsection\par}

\mode<all>
